# Retrieve currently used priority job slots

GET`https://api2.transloadit.com/queues/job_slots?signature={SIGNATURE}`

###### Warning

This endpoint requires your Auth Key to have the `queues:read` scope.

Retrieves the sum of priority job slots that are currently in use in the `count` field of the response.

It also returns corresponding Assembly IDs, Step names and Job Ids. Please include Assembly Ids and Job Ids in your support tickets so we can inspect the logs for them for you.

## GET query components

* Passing `signature` is required. For more information, please check [Signature Authentication](/docs/api/authentication.md).

## Response

Here’s an example response body:

![](/_next/static/media/copy.04p1cju9qekk_.svg?dpl=dpl_8dwgDcnqjAi6kueVxMEm77hpxXaH)

```
{
  "ok": "PRIORITY_JOB_SLOTS_FOUND",
  "priority_job_slots": {
    "count": 300,
    "slots": {
      "[[assembly_id]]": {
        "step_name1": {
          "[[job_id]]": 60,
          "[[job_id]]": 10,
          "[[job_id]]": 30,
        },
        "step_name2": {
          "[[job_id]]": 60,
          "[[job_id]]": 10,
          "[[job_id]]": 30,
        }
      },
      "[[assembly_id]]": {
        "step_name1": {
          "[[job_id]]": 60
        },
        "step_name2": {
          "[[job_id]]": 10,
          "[[job_id]]": 30
        }
      }
    }
  }
}
```

On success this request returns a JSON response with the success code `PRIORITY_JOB_SLOTS_FOUND` and the corresponding job slot data. On error it contains a JSON response including an `error` field that contains an error status code and a `reason` field that contains details on what went wrong.
